﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="RadScheduler.aspx.cs" Inherits="RadSchedulerApp.RadScheduler" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
        <script type="text/javascript">
            //Put your JavaScript code here.
                function editAppointment(sender, e) {
                    var apt = e.get_appointment();
                    sender.editAppointmentWithConfirmation(apt);
                }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <div>
        <telerik:RadScheduler ID="RadScheduler1" runat="server" Height="600" RenderMode="Lightweight"
            TimelineView-NumberOfSlots="5"
            TimelineView-ColumnHeaderDateFormat="dddd"
            OnClientNavigationComplete="onNavigationComplete"
            SelectedView="TimelineView" ShowFooter="false" TimeZoneOffset="03:00:00"
            DayStartTime="08:00:00" DayEndTime="23:00:00" FirstDayOfWeek="Monday" LastDayOfWeek="Friday"
            EnableDescriptionField="true" AppointmentStyleMode="Default" OnClientAppointmentClick="editAppointment" Localization-HeaderMultiDay="Work Week">
            <WebServiceSettings Path="api/Scheduler" ResourcePopulationMode="ServerSide" UseHttpGet="true" />
        </telerik:RadScheduler>
        <script>
            var schedulerView;

            $(function () {
                var scheduler = $find("<%= RadScheduler1.ClientID %>");

                schedulerView = scheduler.get_selectedView();

                //If Selected View is Timeline
                if (schedulerView === 4) {
                    setFirstDayMonday(scheduler)
                }
            });

            function onNavigationComplete(sender, args) {
                schedulerView = sender.get_selectedView();

                //Check if selected view is either Day, Week or Month, cause it is also considered as "navigation" when swiching among views
                if (schedulerView === 0 || schedulerView == 1 || schedulerView === 2) {
                    return;
                }

                setFirstDayMonday(sender);
            }

            function setFirstDayMonday(scheduler) {
                var date = scheduler.get_selectedDate(),
                    currentDate = date.getDate(),
                    weekDayNumber = date.getDay();

                date.setDate(currentDate - weekDayNumber + 1);
            }
        </script>
    </div>
</asp:Content>
